Name:           perl-String-ShellQuote
Version:        1.04
Release:        26
Summary:        Perl module for quoting strings for passing through the shell
License:        (GPL+ or Artistic) and GPLv2+
URL:            https://metacpan.org/release/String-ShellQuote
Source0:        https://cpan.metacpan.org/authors/id/R/RO/ROSCH/String-ShellQuote-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl-interpreter perl-generators perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(Carp) perl(Exporter) perl(strict) perl(vars)
Requires:       perl(:MODULE_COMPAT_%(eval "$(perl -V:version)"; echo $version))
Requires:       perl(Carp) perl(Getopt::Long)

%description
This package contains the String::ShellQuote module, plus a command-line
interface to it.  It contains some functions which are useful for quoting
strings which are going to pass through the shell or a shell-like object.  It
is useful for doing robust tool programming, particularly when dealing with
files whose names contain white space or shell globbing characters.

%package_help

%prep
%autosetup -n String-ShellQuote-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%{_bindir}/shell-quote
%{perl_vendorlib}/String

%files help
%doc Changes README
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Tue Nov 19 2019 mengxian <mengxian@huawei.com> - 1.04-26
- Package init
